From 98715f8730c5f389976538848e58401db66f9b5d Mon Sep 17 00:00:00 2001
From: Marco Genasci <fedeliallalinea@gmail.com>
Date: Wed, 12 Jan 2022 16:11:15 +0100
Subject: [PATCH 2/2] [X11] Fix tag dragging in i3

ref: https://bugs.chromium.org/p/chromium/issues/detail?id=1279532
caused by: https://bugs.chromium.org/p/chromium/issues/detail?id=1263023
Patch from:
https://chromium-review.googlesource.com/c/chromium/src/+/3381679
---
 ui/platform_window/x11/x11_topmost_window_finder.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/ui/platform_window/x11/x11_topmost_window_finder.cc b/ui/platform_window/x11/x11_topmost_window_finder.cc
index e20bf0abf..c9c672c60 100644
--- a/ui/platform_window/x11/x11_topmost_window_finder.cc
+++ b/ui/platform_window/x11/x11_topmost_window_finder.cc
@@ -42,12 +42,12 @@ bool EnumerateChildren(ShouldStopIteratingCallback should_stop_iterating,
   // reverse-iterate the list to check the windows from top-to-bottom.
   std::vector<x11::Window>::reverse_iterator iter;
   for (iter = windows.rbegin(); iter != windows.rend(); iter++) {
-    if (IsWindowNamed(*iter) && should_stop_iterating.Run(*iter))
-      return true;
     if (depth < max_depth) {
       if (EnumerateChildren(should_stop_iterating, *iter, max_depth, depth + 1))
         return true;
     }
+    if (IsWindowNamed(*iter) && should_stop_iterating.Run(*iter))
+      return true;
   }
 
   return false;
-- 
2.34.1

